# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DateTimeSelect Class Reference

`#include <StepBasic_DateTimeSelect.hxx>`

Inheritance diagram for StepBasic_DateTimeSelect:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepBasic_DateTimeSelect ()
| Returns a DateTimeSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a DateTimeSelect Kind Entity that is : 1 -> Date 2 -> LocalTime 3 -> DateAndTime 0 else .
Standard_EXPORT Handle_StepBasic_Date | Date () const
| returns Value as a Date (Null if another type)
Standard_EXPORT Handle_StepBasic_LocalTime | LocalTime () const
| returns Value as a LocalTime (Null if another type)
Standard_EXPORT Handle_StepBasic_DateAndTime | DateAndTime () const
| returns Value as a DateAndTime (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DateTimeSelect::StepBasic_DateTimeSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepBasic_DateTimeSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepBasic_Date StepBasic_DateTimeSelect::Date | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_DateAndTime StepBasic_DateTimeSelect::DateAndTime | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_LocalTime StepBasic_DateTimeSelect::LocalTime | ( |  | ) | const

void StepBasic_DateTimeSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_DateTimeSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_DateTimeSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepBasic_DateTimeSelect.hxx